Package twisted :: Package mail :: Module relaymanager

[show private | hide private]
[frames | no frames]

## Module twisted.mail.relaymanager

Infrastructure for relaying mail through smart host

Today, internet e-mail has stopped being Peer-to-peer for many problems, spam (unsolicited bulk mail) among them. Instead, most nodes on the internet send all e-mail to a single computer, usually the ISP's though sometimes other schemes, such as SMTP-after-POP, are used. This computer is supposedly permanently up and traceable, and will do the work of figuring out MXs and connecting to them. This kind of configuration is usually termed "smart host", since the host we are connecting to is "smart" (and will find MXs and connect to them) rather then just accepting mail for a small set of domains.

The classes here are meant to facilitate support for such a configuration for the twisted.mail SMTP server

Classes
`MXCalculator` |
`Queue` | A queue of ougoing emails.
`SmartHostSMTPRelayingManager` | Manage SMTP Relayers
`SMTPManagedRelayer` | SMTP Relayer which notifies a manager
`SMTPManagedRelayerFactory` |

Function Summary
| ``attachManagerToDelayed`(manager, delayed, time)` attach a a manager to a Delayed
| ``checkState`(manager)` cause a manager to check the state

Variable Summary
`SelectReactor` | `reactor`

Function Details

### attachManagerToDelayed(manager, delayed, time=1)

attach a a manager to a Delayed

manager should be an SMTPRelayManager, delayed should be a twisted.python.Delayed and time should be an integer in second, specifying time between checking the state

### checkState(manager)

cause a manager to check the state

Variable Details

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x834759c>

Generated by Epydoc 1.1 on Sat Feb 15 21:19:08 2003 | http://epydoc.sf.net